.select
  user-select none
  backface-visibility hidden
  display inline-block
  vertical-align middle
  position relative

  .ps__rail-y
    opacity 1

  &.expanded
    z-index 11

    .select__open
      border-color $white

      &:before
        transform rotate(-135deg)

      &:hover
        color $white
        border-color $white

  +fbp(md sm xs)
    max-width none

.select__open
  cursor pointer
  height 45px
  display flex
  align-items center
  white-space nowrap
  padding 12px 21px
  padding-bottom 17px
  font-weight 500
  font-size 16px
  line-height 100%
  background none
  border 1px solid $secondary5
  color $white
  position relative
  transition all 0.3s
  text-transform uppercase

  .select--sm &
    padding 27px 21px

  &:before
    content ''
    position absolute
    width 7px
    height 7px
    border-right 2px solid $primary
    border-bottom 2px solid $primary
    transform rotate(45deg)
    transition all 0.3s
    bottom 7px
    left 50%
    margin-left -3px

  &:hover
    border-color $white

.dropdown
  position absolute
  top 100%
  left 0
  width 100%
  max-height 200px
  z-index 999
  margin 0
  margin-top 1px
  padding 7px 0
  background none
  border 1px solid $secondary5
  overflow hidden

  &.dropdown--gray
    background $secondary3

  li
    margin 0
    padding 0

    &:first-child
      margin-top 0

    &:before
      display none

  .item
    text-align center
    padding 5px 12px
    font-weight 500
    font-size 16px
    line-height 100%
    color $white
    transition color .3s ease
    text-transform uppercase
    user-select none
    cursor pointer

    &:hover
      color $primary

    &.selected
      color $black

.dropdown-wrap
  position relative
